from sys import argv
import ipaddress

script, ip1, ip2 = argv


network_1 = ipaddress.ip_network(ip1)
network_2 = ipaddress.ip_network(ip2)

#print(list(network_1))
#print(list(network_2))

if True == network_1.overlaps(network_2):
    print('overlap')
else:
    print('no overlap')

